ImageOperation (Apache Ant API)
Keywords: org.apache.tools.ant.types.optional.image.ImageOperation class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.optional.image
Class ImageOperation

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.optional.image.ImageOperation

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  BasicShape, Text, TransformOperation

    public abstract class ImageOperation

extends DataType

See Also:
  `Image`

Field Summary
`protected java.util.Vector` | `instructions`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`ImageOperation()`

Method Summary
`void` | `addDraw(Draw instr)` Add a draw to the operation.
`void` | `addRectangle(Rectangle instr)` Add a rectangle to the operation.
`void` | `addRotate(Rotate instr)` Add a rotate to the operation.
`void` | `addScale(Scale instr)` Add a scale to the operation.
`void` | `addText(Text instr)` Add text to the operation.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### instructions

    protected java.util.Vector instructions

Constructor Detail

### ImageOperation

    public ImageOperation()

Method Detail

### addRotate

    public void addRotate(Rotate instr)

  Add a rotate to the operation.

  Parameters:
    `instr` - the rotate to add.

### addDraw

    public void addDraw(Draw instr)

  Add a draw to the operation.

  Parameters:
    `instr` - the draw to add.

### addRectangle

    public void addRectangle(Rectangle instr)

  Add a rectangle to the operation.

  Parameters:
    `instr` - the rectangle to add.

### addText

    public void addText(Text instr)

  Add text to the operation.

  Parameters:
    `instr` - the text to add.

### addScale

    public void addScale(Scale instr)

  Add a scale to the operation.

  Parameters:
    `instr` - the scale to add.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD